> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# [Deprecated] Scrape media from the OnlyFans CDN (/api-reference/media/deprecated-scrape-media-from-the-only-fans-cdn)

**⚠️ This is a deprecated endpoint. Please use the new "Download media from the OnlyFans CDN" endpoint!** Scrapes a `https://cdn*.onlyfans.com/*` URL *or* Vault Media ID, and uploads it to the OnlyFans API CDN, where you can view or download the file. **Max file size is 500MB**

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/{account}/media/scrape
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/media/scrape:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    post:
      summary: "[Deprecated] Scrape media from the OnlyFans CDN"
      operationId: DeprecatedScrapeMediaFromTheOnlyFansCDN
      description: '**⚠️ This is a deprecated endpoint. Please use the new "Download
        media from the OnlyFans CDN" endpoint!** Scrapes a
        `https://cdn*.onlyfans.com/*` URL *or* Vault Media ID, and uploads it to
        the OnlyFans API CDN, where you can view or download the file. **Max
        file size is 500MB**'
      parameters: []
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  temporary_url: https://ofapi-media-prod.nyc3.digitaloceanspaces.com/123/600x400_123.jpg
                  expiration_date: 2025-01-01T00:00:00.000000Z
                properties:
                  temporary_url:
                    type: string
                    example: https://ofapi-media-prod.nyc3.digitaloceanspaces.com/123/600x400_123.jpg
                  expiration_date:
                    type: string
                    example: 2025-01-01T00:00:00.000000Z
        "500":
          description: The provided CDN URL is expired, invalid, or the file is not
            available anymore.
          content:
            application/json:
              schema:
                type: object
                example:
                  error: ONLYFANS_COM_ERROR
                  message: "OnlyFans returned an unknown error.: [403]"
                  description: This error happened most probably because of a bug in the
                    OnlyFans.com API or you sent wrong parameters (like a
                    non-existing user id).
                  onlyfans_response:
                    status: 403
                    body: null
                  _meta:
                    _credits:
                      used: 1
                      balance: 123
                      note: OnlyFans returned an error, but we still had to make an API request to
                        OnlyFans.com
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 50000
                properties:
                  error:
                    type: string
                    example: ONLYFANS_COM_ERROR
                  message:
                    type: string
                    example: "OnlyFans returned an unknown error.: [403]"
                  description:
                    type: string
                    example: This error happened most probably because of a bug in the OnlyFans.com
                      API or you sent wrong parameters (like a non-existing user
                      id).
                  onlyfans_response:
                    type: object
                    properties:
                      status:
                        type: integer
                        example: 403
                      body:
                        type: string
                        example: null
                        nullable: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 123
                          note:
                            type: string
                            example: OnlyFans returned an error, but we still had to make an API request to
                              OnlyFans.com
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 50000
      tags:
        - Media
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: The CDN URL to scrape. **Keep in mind that these URLs expire
                    fast.**
                  example: https://cdn2.onlyfans.com/files/e/e5/123/600x400_123.jpg?Tag=2&u=123&Policy=123&Signature=signature&Key-Pair-Id=123
                  nullable: true
                media_id:
                  type: integer
                  description: The OnlyFans Vault Media ID. **Can be used instead of the `url`.**
                  example: 1234567890
                  nullable: true
                file_type:
                  type: string
                  description: The file type to scrape. Only allowed when using `media_id`.
                  example: full
                  enum:
                    - full
                    - thumb
                    - preview
                    - squarePreview
                  nullable: true
                expiration_date:
                  type: string
                  description: The expiration date of our returned `temporary_url`. Default of 5
                    minutes. Must be null if `public` is true.
                  example: 2025-01-01 00:00:00
                  nullable: true
                public:
                  type: boolean
                  description: Set to true if you want to have the file uploaded to our public CDN
                    (no signed URL needed to access). Default is false. Must be
                    null if `expiration_date` is set.
                  example: false
                  nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````